using UnityEngine;
using UnityEngine.SceneManagement;

public class MainMenuManager : MonoBehaviour
{

     void Update()
    {
        if (Input.GetKeyDown(KeyCode.Space))
        {
            PlayGame();
        }
    }
    public void PlayGame()
    {

        //InitializePlayerPrefs();
        if (!PlayerPrefs.HasKey("HighScore"))
        {
            PlayerPrefs.SetInt("HighScore",0); // Inicializa el puntaje máximo en 0

        }

        SceneManager.LoadScene(sceneBuildIndex: 2);
    }

    public void ShowIns()
    {
        SceneManager.LoadScene(sceneBuildIndex: 0);
    }

    private void InitializePlayerPrefs()
    {
        // Comprueba si las claves ya existen antes de inicializarlas
        if (!PlayerPrefs.HasKey("HighScore"))
        {
            PlayerPrefs.SetInt("HighScore", 10); // Inicializa el puntaje máximo en 0
        }

        if (!PlayerPrefs.HasKey("PlayerName"))
        {
            PlayerPrefs.SetString("PlayerName", "Jugador"); // Inicializa el nombre del jugador
        }

        // Puedes agregar más variables iniciales aquí
        PlayerPrefs.Save(); // Asegura que los datos se guarden

    }
}
